com.amazonaws.services.simpleworkflow.model

## Class WorkflowExecutionDetail

- java.lang.Object
- - com.amazonaws.AmazonWebServiceResult<ResponseMetadata>
  - - com.amazonaws.services.simpleworkflow.model.WorkflowExecutionDetail

All Implemented Interfaces:
  Serializable, Cloneable

    public class WorkflowExecutionDetail
    extends AmazonWebServiceResult<ResponseMetadata>
    implements Serializable, Cloneable

Contains details about a workflow execution.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`WorkflowExecutionDetail()`

### Method Summary

All Methods Instance Methods Concrete Methods
`WorkflowExecutionDetail` `clone()`
`boolean` `equals(Object obj)`
`WorkflowExecutionConfiguration` `getExecutionConfiguration()` The configuration settings for this workflow execution including timeout values, tasklist etc.
`WorkflowExecutionInfo` `getExecutionInfo()` Information about the workflow execution.
`Date` `getLatestActivityTaskTimestamp()` The time when the last activity task was scheduled for this workflow execution.
`String` `getLatestExecutionContext()` The latest executionContext provided by the decider for this workflow execution.
`WorkflowExecutionOpenCounts` `getOpenCounts()` The number of tasks for this workflow execution.
`int` `hashCode()`
`void` `setExecutionConfiguration(WorkflowExecutionConfiguration executionConfiguration)` The configuration settings for this workflow execution including timeout values, tasklist etc.
`void` `setExecutionInfo(WorkflowExecutionInfo executionInfo)` Information about the workflow execution.
`void` `setLatestActivityTaskTimestamp(Date latestActivityTaskTimestamp)` The time when the last activity task was scheduled for this workflow execution.
`void` `setLatestExecutionContext(String latestExecutionContext)` The latest executionContext provided by the decider for this workflow execution.
`void` `setOpenCounts(WorkflowExecutionOpenCounts openCounts)` The number of tasks for this workflow execution.
`String` `toString()` Returns a string representation of this object; useful for testing and debugging.
`WorkflowExecutionDetail` `withExecutionConfiguration(WorkflowExecutionConfiguration executionConfiguration)` The configuration settings for this workflow execution including timeout values, tasklist etc.
`WorkflowExecutionDetail` `withExecutionInfo(WorkflowExecutionInfo executionInfo)` Information about the workflow execution.
`WorkflowExecutionDetail` `withLatestActivityTaskTimestamp(Date latestActivityTaskTimestamp)` The time when the last activity task was scheduled for this workflow execution.
`WorkflowExecutionDetail` `withLatestExecutionContext(String latestExecutionContext)` The latest executionContext provided by the decider for this workflow execution.
`WorkflowExecutionDetail` `withOpenCounts(WorkflowExecutionOpenCounts openCounts)` The number of tasks for this workflow execution.

### Methods inherited from class com.amazonaws.AmazonWebServiceResult

`getSdkHttpMetadata, getSdkResponseMetadata, setSdkHttpMetadata, setSdkResponseMetadata`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### WorkflowExecutionDetail

    public WorkflowExecutionDetail()

### Method Detail

#### setExecutionInfo

    public void setExecutionInfo(WorkflowExecutionInfo executionInfo)

Information about the workflow execution.

Parameters:
  `executionInfo` - Information about the workflow execution.

#### getExecutionInfo

    public WorkflowExecutionInfo getExecutionInfo()

Information about the workflow execution.

Returns:
  Information about the workflow execution.

#### withExecutionInfo

    public WorkflowExecutionDetail withExecutionInfo(WorkflowExecutionInfo executionInfo)

Information about the workflow execution.

Parameters:
  `executionInfo` - Information about the workflow execution.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setExecutionConfiguration

    public void setExecutionConfiguration(WorkflowExecutionConfiguration executionConfiguration)

The configuration settings for this workflow execution including timeout values, tasklist etc.

Parameters:
  `executionConfiguration` - The configuration settings for this workflow execution including timeout values, tasklist etc.

#### getExecutionConfiguration

    public WorkflowExecutionConfiguration getExecutionConfiguration()

The configuration settings for this workflow execution including timeout values, tasklist etc.

Returns:
  The configuration settings for this workflow execution including timeout values, tasklist etc.

#### withExecutionConfiguration

    public WorkflowExecutionDetail withExecutionConfiguration(WorkflowExecutionConfiguration executionConfiguration)

The configuration settings for this workflow execution including timeout values, tasklist etc.

Parameters:
  `executionConfiguration` - The configuration settings for this workflow execution including timeout values, tasklist etc.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setOpenCounts

    public void setOpenCounts(WorkflowExecutionOpenCounts openCounts)

The number of tasks for this workflow execution. This includes open and closed tasks of all types.

Parameters:
  `openCounts` - The number of tasks for this workflow execution. This includes open and closed tasks of all types.

#### getOpenCounts

    public WorkflowExecutionOpenCounts getOpenCounts()

The number of tasks for this workflow execution. This includes open and closed tasks of all types.

Returns:
  The number of tasks for this workflow execution. This includes open and closed tasks of all types.

#### withOpenCounts

    public WorkflowExecutionDetail withOpenCounts(WorkflowExecutionOpenCounts openCounts)

The number of tasks for this workflow execution. This includes open and closed tasks of all types.

Parameters:
  `openCounts` - The number of tasks for this workflow execution. This includes open and closed tasks of all types.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setLatestActivityTaskTimestamp

    public void setLatestActivityTaskTimestamp(Date latestActivityTaskTimestamp)

The time when the last activity task was scheduled for this workflow execution. You can use this information to determine if the workflow has not made progress for an unusually long period of time and might require a corrective action.

Parameters:
  `latestActivityTaskTimestamp` - The time when the last activity task was scheduled for this workflow execution. You can use this information to determine if the workflow has not made progress for an unusually long period of time and might require a corrective action.

#### getLatestActivityTaskTimestamp

    public Date getLatestActivityTaskTimestamp()

The time when the last activity task was scheduled for this workflow execution. You can use this information to determine if the workflow has not made progress for an unusually long period of time and might require a corrective action.

Returns:
  The time when the last activity task was scheduled for this workflow execution. You can use this information to determine if the workflow has not made progress for an unusually long period of time and might require a corrective action.

#### withLatestActivityTaskTimestamp

    public WorkflowExecutionDetail withLatestActivityTaskTimestamp(Date latestActivityTaskTimestamp)

The time when the last activity task was scheduled for this workflow execution. You can use this information to determine if the workflow has not made progress for an unusually long period of time and might require a corrective action.

Parameters:
  `latestActivityTaskTimestamp` - The time when the last activity task was scheduled for this workflow execution. You can use this information to determine if the workflow has not made progress for an unusually long period of time and might require a corrective action.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setLatestExecutionContext

    public void setLatestExecutionContext(String latestExecutionContext)

The latest executionContext provided by the decider for this workflow execution. A decider can provide an executionContext (a free-form string) when closing a decision task using RespondDecisionTaskCompleted.

Parameters:
  `latestExecutionContext` - The latest executionContext provided by the decider for this workflow execution. A decider can provide an executionContext (a free-form string) when closing a decision task using RespondDecisionTaskCompleted.

#### getLatestExecutionContext

    public String getLatestExecutionContext()

The latest executionContext provided by the decider for this workflow execution. A decider can provide an executionContext (a free-form string) when closing a decision task using RespondDecisionTaskCompleted.

Returns:
  The latest executionContext provided by the decider for this workflow execution. A decider can provide an executionContext (a free-form string) when closing a decision task using RespondDecisionTaskCompleted.

#### withLatestExecutionContext

    public WorkflowExecutionDetail withLatestExecutionContext(String latestExecutionContext)

The latest executionContext provided by the decider for this workflow execution. A decider can provide an executionContext (a free-form string) when closing a decision task using RespondDecisionTaskCompleted.

Parameters:
  `latestExecutionContext` - The latest executionContext provided by the decider for this workflow execution. A decider can provide an executionContext (a free-form string) when closing a decision task using RespondDecisionTaskCompleted.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### toString

    public String toString()

Returns a string representation of this object; useful for testing and debugging.

Overrides:
  `toString` in class `Object`
Returns:
  A string representation of this object.
See Also:
  `Object.toString()`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### clone

    public WorkflowExecutionDetail clone()

Overrides:
  `clone` in class `Object`